@import "./assets/styles/media-queries";

.content {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 5rem;
  .sidebar {
    flex: 0 0 25rem;
    padding: 0 2rem 2rem 2rem;
    select {
      width: 100%;
      margin-bottom: 2rem;
      border-radius: 0.3rem;
      background: white;
      border: 0;
      outline: 0;
      padding: 1rem;
      box-shadow: var(--box-shadow);
    }
    .categories {
      padding: 2rem;
      background: white;
      border-radius: 0.3rem;
      box-shadow: var(--box-shadow);
      li {
        margin: 1rem;
        transition: color 0.2s;
        &:hover {
          color: var(--primary);
          strong {
            color: var(--primary);
          }
        }
      }
      .active {
        color: var(--primary);
        font-weight: 700;
        strong {
          color: var(--primary);
        }
      }
    }
  }
  .articles-container {
    max-width: 80rem;
    flex: 1;
    margin: 0 0 10rem 0;
    .article {
      background: white;
      box-shadow: var(--box-shadow);
      padding: 0 5rem;
      @include xs {
        padding: 0 2rem;
      }
      margin-bottom: 5rem;
      border-radius: 0.3rem;
      display: flex;
      flex-direction: column;
      align-items: center;
      img {
        height: 6rem;
        width: 6rem;
        border-radius: 50%;
        margin-top: -3rem;
      }
      h2 {
        margin-top: 2rem;
        margin-bottom: 0;
      }
      .article-author {
        color: var(--hint);
        margin-bottom: 3rem;
      }
      .article-content {
        max-width: 550px;
        white-space: pre-line;
      }
      .article-actions {
        width: 100%;
        display: flex;
        justify-content: flex-end;
        padding: 2rem 0;
        margin-top: 2rem;
        border-top: 1px solid var(--divider);
        .btn {
          margin-left: 1rem;
        }
      }
    }
  }
}
